System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.MessageContract(IsWrapped=false)

This class represents information sent from a peer node to a peer resolver service when requesting the endpoints for a specific peer node registered with the service.

Instances of this class are primarily used to pass endpoint resolution information to the resolver service from a network client of that service.

Defines the information for the endpoint resolution of a registration entry by a peer resolver service.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new default instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the provided client ID and mesh ID, as well as the maximum number of endpoint addresses to return.

  that contains a unique ID for the client for which endpoints are to be resolved.
  that contains the ID of the mesh in which the client is participating.
  that contains the maximum number of client endpoint addresses to be returned by the resolve operation.
- Property
  4.0.0.0
  System.Guid To be added. To be added.

  Gets the ID for the registration entry to resolve.

- Method
  4.0.0.0
  System.Boolean To be added.

  Indicates whether the body of the message containing a serialized instance of this type is correctly formed.

  True if the resolve request information message body is correctly formed by the sender (the service client); false if it is not.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the maximum number of client endpoint addresses to be returned by the resolve operation.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the mesh ID for the entry whose endpoint addresses will be resolved.